# Uses of Interface
org.eclipse.ecf.provider.comm.IAsynchConnection

Packages that use IAsynchConnection
Package
Description
org.eclipse.ecf.provider.comm
org.eclipse.ecf.provider.comm.tcp
org.eclipse.ecf.provider.generic

## Uses of IAsynchConnection in org.eclipse.ecf.provider.comm

Subinterfaces of IAsynchConnection in org.eclipse.ecf.provider.comm
Modifier and Type
Interface
Description
`interface`
`ISynchAsynchConnection`
A connection instance that has both asynchronous and synchronous messaging capabilities
Constructors in org.eclipse.ecf.provider.comm with parameters of type IAsynchConnection
Modifier
Constructor
Description
``
`AsynchEvent(IAsynchConnection conn, Object data)`
``
`DisconnectEvent(IAsynchConnection conn, Throwable e, Object data)`

## Uses of IAsynchConnection in org.eclipse.ecf.provider.comm.tcp

Classes in org.eclipse.ecf.provider.comm.tcp that implement IAsynchConnection
Modifier and Type
Class
Description
`final class`
`Client`
`final class`
`SSLClient`

## Uses of IAsynchConnection in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that return IAsynchConnection
Modifier and Type
Method
Description
`protected IAsynchConnection`
ServerSOContainer.`getConnectionForID(ID memberID)`
Methods in org.eclipse.ecf.provider.generic with parameters of type IAsynchConnection
Modifier and Type
Method
Description
`protected ID`
ClientSOContainer.`getIDForConnection(IAsynchConnection conn)`
`protected ID`
ServerSOContainer.`getIDForConnection(IAsynchConnection conn)`
`protected abstract ID`
SOContainer.`getIDForConnection(IAsynchConnection connection)`